--[[
Targets 
]]--
trigger.action.outText( "Loading Iron Bombing Range Targets v23c", 2 )

--															 Track	      Track		Report Allow           Offset	      Allow Smoke		Allow Laser		Allow List
--					Unit Name 		Display Name		    Type		Impact Strafing	Hits	Designation		Designation		Designation		Coordinates		

--[[
TITS.AddTarget(		'APC1'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'APC2'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'APC3'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'APC4'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'Tank1'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'Tank2'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'Tank3'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'Tank4'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'MBT1'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'MBT2'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'MBT3'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'MBT4'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'Truck1'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'Truck2'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'Truck3'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'Truck4'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'Truck5'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'Truck6'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
TITS.AddTarget(		'Truck7'		 ,	'', 				'zone', 	true,	true,		false,	false,			true,			false,			true	)
--]]

TITS.SpeedUnitsDefault			= 1    -- 1 = Knots, 2 = Mph, 3 = Kph
TITS.DistanceUnitsDefault		= 3    -- 1 = feet, 2 = yards, 3 = meters
TITS.AltitudeUnitsDefault		= 1    -- 1 = feet, 3 = meters ( 2 is not used)
TITS.CoordinateFormatDefault	= 1	   -- 1 = MGRS, 2 = DMS, 3 = DM.mm
TITS.MaxMissDistance 			= 1000 -- meters. Any impact over this distance from the closest target will be considered as Miss
TITS.MaxMarkDistance 			= 150  -- meters, max distance for Willie Pete (smoke) marks
TITS.HitReportDefault			= true -- default for the option to report hits in results
TITS.ReleaseParametersDefault 	= true -- default for the option to display the release parameters in results
TITS.EnableAbortMessage			= false-- If enabled, the abort message will be displayed when releasing ordnance without notifiying range control
TITS.WeaponTrackingInterval		= 0.001 -- in second. Weapon tracking interval. This indicates how often the script will track weapons in flight.
-- TITS.AutoReport         = true -- enables automatic results reporting
TITS.Verbose					= true  -- When false, it will disable the acknolegment messages and automatic result reporting after "attack completed"


--TITS.LaserDesignatorName = 'AFAC' -- Has to be an unit (unitname)
--TITS.LaserDesignatorCode = '1688'
--TITS.OffsetMarkerName = 'Offset Marker' -- Offset Marker name -Has to be an unit (unitname). Offset bearing and range will be calculated from this unit

--TITS.AddTarget(_TargetName,_displayName,_Type,_TrackImpact,_TrackStrafing,_ReportHits,_AllowOffsetDesignation,_AllowSmokeDesignation,_AllowLaserDesignation,_AllowListCoordinates)

-- Load Targets
--								Display								               Track	  Track		Report	Designation		Allow Smoke		Allow Laser		Allow IR		 Allow Nomark	  List 		  UI		UI		UI		UI		UI		UI		UI		UI		UI
--				Name 			name		           Type		 Reswpan Impact	  Strafing	Hits	Zone			    Designation		Designation		Designation		designation		Coords.		Num1	Num2	Num3	Bool1	Bool2	Bool3	Text1	Text2	Text3

TITS.AddTarget(	'target1',			'', 	'zone', 	true,		true,	true,		false,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)		
TITS.AddTarget(	'target2',			'', 	'zone', 	true,		true,	true,		false,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'target3',			'', 	'zone', 	true,		true,	true,		false,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'target4',			'', 	'zone', 	true,		true,	true,		false,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'target5',			'', 	'zone', 	true,		true,	true,		false,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'target6',			'', 	'zone', 	true,		true,	true,		false,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'target7',			'', 	'zone', 	true,		true,	true,		false,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'target8',			'', 	'zone', 	true,		true,	true,		false,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'target9',			'', 	'zone', 	true,		true,	true,		false,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'target10',			'', 	'zone', 	true,		true,	true,		false,	1,				true,			true,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'APC1',			'', 	'zone', 	true,		true,	true,		true,	1,				true,			true,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'APC2',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)
TITS.AddTarget(	'APC3',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)
TITS.AddTarget(	'APC4',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'Tank1',			'', 	'zone', 	true,		true,	true,		true,	1,				true,			true,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'Tank2',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)
TITS.AddTarget(	'Tank3',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)
TITS.AddTarget(	'Tank4',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)
TITS.AddTarget(	'MBT1',			'', 	'zone', 	true,		true,	true,		true,	1,				true,			true,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'MBT2',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)
TITS.AddTarget(	'MBT3',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)
TITS.AddTarget(	'MBT4',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'Truck1',			'', 	'zone', 	true,		true,	true,		true,	1,				true,			true,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'Truck2',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)
TITS.AddTarget(	'Truck3',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)
TITS.AddTarget(	'Truck4',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)
TITS.AddTarget(	'Truck5',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)	
TITS.AddTarget(	'Truck6',			'', 	'zone', 	true,		true,	true,		true,	1,				false,			false,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)
TITS.AddTarget(	'Truck7',			'', 	'zone', 	true,		true,	true,		true,	1,				true,			true,			false,			false,			true,		0,		0,		0,		false,	false,	false,	'',		'',		''		)


UI.AddDesignator(	'JTAC'	,		''	,		{1}	,	 true	, 		true	,	 '1688'	)
UI.AddEngagementZone (	'OnTheRange',		'zone' )
